import QtQuick.Dialogs 1.3
import QtQuick 2.13
import QtQuick.Controls 2.13

Page {
    id:page
    title: "Manage Department"

    property int categoryID: -1

    FileDialog {
        id: filePicker
        title: "Please choose a file"
        onAccepted: {
            console.log("*********************", filePicker.fileUrls)
            productPic.source = filePicker.fileUrl
        }
    }

    Image {
        id: productPic
        anchors.fill: parent
        fillMode: Image.PreserveAspectFit

        MouseArea{
            anchors.fill: parent
            onClicked: {
                dlgImageEdit.imageFile = productPic.imageSource
                dlgImageEdit.open()
            }
        }
    }

    Row{
        anchors.margins: 10
        anchors.bottom: parent.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        Button{
            text: "SelectImage"
            onClicked: filePicker.open()
        }
        Button{
            text: "Back"
            onClicked: stack.pop()
        }
    }
}
